"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseEventBus = void 0;
class BaseEventBus {
    _eventDestructors = new Set();
    get eventDestructors() {
        return this._eventDestructors;
    }
    addListener(event, listener) {
        event.on(listener);
        const unsub = () => event.off(listener);
        this._eventDestructors.add(unsub);
        return unsub;
    }
}
exports.BaseEventBus = BaseEventBus;
//# sourceMappingURL=base-event.js.map